<? include('header.php'); ?>
<div class="menucenter">
<?
if(isset($_POST["wmid"]))
{
     $WMID=round($_POST["wmid"]);

     $res=mysql_query("select sitename from tb_site where id='1'");
    $res=mysql_fetch_assoc($res);
    $sitename=$res["sitename"];

    $useres=mysql_query("select wmid, username, password, email from tb_users where wmid='$WMID'");
    if(mysql_num_rows($useres)>0){
             

            $uses=mysql_fetch_assoc($useres);
            $wmid=$uses["wmid"];
            $email=$uses["email"];
            $pass=$uses["password"];
            $users = $uses["username"];
            $newPass = substr(md5(rand(1,1000)), 0, 10);
            $passHash = myHashData($newPass);
            $res = mysql_query("UPDATE tb_users SET password='$passHash' WHERE wmid='$WMID'");


            $mesaga="Здравствуйте! Информация для восстановления доступа к аккаунту: Ваш логин: $users Ваш новый пароль: $newPass.\n\nС Уважением, Администрация Cashid.ru!";
            $subject = "Восстановление пароля";
            $headers = "From: robot@cashid.ru \r\n";

            mail($email, $subject, $mesaga, $headers,"-robote@cashid.ru"); 

     echo "<div class='good'>&nbsp;Заявка на восстановление пароля принята. На Ваш E-mail, указанный в Вашем профиле, выслано письмо с информацией для доступа к аккаунту.</div>";
    include('footer.php');exit;
   	}else{
    echo "<div class=error>Ошибка: такой пользователь не зарегистрирован на проекте.</div>";
   }
}
?>

<form method="post" action="restorepass.php">
<b>Введите свой WMID: </b><input type="text" value="" size="30" maxlength="12" name="wmid">
<input type="submit" class="ok_wm" value="Отправить запрос">
</form>
<? include('footer.php'); ?>